FREEFOAM-EXTRUDE2DMESH(1)

NAME
freefoam-extrude2DMesh - Takes 2D mesh (all faces 2 points only, no front and back faces) and creates a 3D mesh by extruding with specified thickness.

SYNOPSIS

freefoam extrude2DMesh <thickness> [-parallel] [-srcDoc] [-case <dir>] [-doc] [-help]

DESCRIPTION

TODO write detailed description

OPTIONS

    • extrude2DMesh <thickness>

+

<thickness>
    Thickness (in metre) of slab.

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

Not sure about the walking of the faces to create the front and back faces. Tested on one .ccm file.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.